package com.agfa.wildfly.interceptor.mdb;

import java.util.concurrent.atomic.AtomicInteger;

import javax.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class InterceptorCounter {
    private AtomicInteger counter = new AtomicInteger(0);
    
    public void reset() {
        counter.set(0);
    }

    public void count() {
        counter.incrementAndGet();
    }
    
    public int value() {
        return counter.get();
    }
}
